Loading...
Searching...
No Matches
Buffer Registers (BRs)
Base API » Object Invocation » Virtual Registers (UTCBs)
Collaboration diagram for Buffer Registers (BRs):

## Data Structures

struct | l4_buf_regs_t
| Encapsulation of the buffer-registers block in the UTCB. More...

## Typedefs

typedef struct l4_buf_regs_t | l4_buf_regs_t
| Encapsulation of the buffer-registers block in the UTCB.

## Enumerations

enum | l4_buffer_desc_consts_t { L4_BDR_MEM_SHIFT = 0 , L4_BDR_IO_SHIFT = 5 , L4_BDR_OBJ_SHIFT = 10 , L4_BDR_OFFSET_MASK = (1UL << 20) - 1 }
| Constants for buffer descriptors. More...

## Functions

void | l4_utcb_inherit_fpu (int switch_on) L4_NOTHROW
| Enable or disable inheritance of FPU state to receiver.

## Detailed Description

## Enumeration Type Documentation

## l4_buffer_desc_consts_t

enum l4_buffer_desc_consts_t

Constants for buffer descriptors.

Enumerator
L4_BDR_MEM_SHIFT | Bit offset for the memory-buffer index.
L4_BDR_IO_SHIFT | Bit offset for the IO-buffer index.
L4_BDR_OBJ_SHIFT | Bit offset for the capability-buffer index.

Definition at line 303 of file consts.h.